Skip to main content
POST
/
api
/
v1
/
connectors
Konnektör oluştur
curl --request POST \
  --url https://vpos-sandbox.payven.com.tr/api/v1/connectors \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "extra_properties_dict": {},
  "name": "<string>",
  "is_active": true
}
'
{
  "extra_properties_dict": {},
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "code": "<string>",
  "is_active": true,
  "created": "2023-11-07T05:31:56Z",
  "last_modified": "2023-11-07T05:31:56Z",
  "configuration_count": 123
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Body

application/json
extra_properties_dict
object
name
string | null
type
enum<string>
Available options:
NestPay,
HalkBankVPOS,
GarantiVPOS,
VakifbankVPOS,
IsBankVPOS,
QNBFinansbankVPOS,
DenizBankVPOS,
YapiKrediVPOS,
ZiraatVPOS,
KuveytTurkVPOS,
EnparaVPOS,
Custom
is_active
boolean

Response

Created

extra_properties_dict
object
id
string<uuid>
name
string | null
code
string | null
type
enum<string>
Available options:
NestPay,
HalkBankVPOS,
GarantiVPOS,
VakifbankVPOS,
IsBankVPOS,
QNBFinansbankVPOS,
DenizBankVPOS,
YapiKrediVPOS,
ZiraatVPOS,
KuveytTurkVPOS,
EnparaVPOS,
Custom
is_active
boolean
created
string<date-time>
last_modified
string<date-time>
configuration_count
integer<int32>